summaryrefslogtreecommitdiff
path: root/scripts/kconfig
diff options
context:
space:
mode:
authorKacper <kacper@mail.openlinux.dev>2025-12-16 00:36:30 +0100
committerKacper <kacper@mail.openlinux.dev>2025-12-16 00:36:30 +0100
commit91ecd00cc83cf701fe7f73b1aa244c27174e8386 (patch)
treec38ffefaa73e671fd917ca0b94b8adec53456a06 /scripts/kconfig
parent01cf24ec66c663e3f40be1d5c703aa9666effc85 (diff)
Add init prog, chroot syscall and fix menuconfig build
Diffstat (limited to 'scripts/kconfig')
-rw-r--r--scripts/kconfig/makefile15
-rwxr-xr-xscripts/kconfig/mconfbin0 -> 224184 bytes
2 files changed, 7 insertions, 8 deletions
diff --git a/scripts/kconfig/makefile b/scripts/kconfig/makefile
index 6bfd24a1..bab0ef36 100644
--- a/scripts/kconfig/makefile
+++ b/scripts/kconfig/makefile
@@ -2,10 +2,8 @@ CC ?= gcc
LEX ?= flex
YACC ?= bison
-VPATH := $(srctree)/scripts/kconfig
-
-CFLAGS := -Iinclude
-LDFLAGS := -lncurses
+CFLAGS += -Iinclude
+LDFLAGS += -lcurses
common-obj := confdata.o expr.o lexer.lex.o menu.o parser.tab.o \
preprocess.o symbol.o util.o
@@ -17,7 +15,7 @@ lxdl-obj := checklist.o inputbox.o menubox.o \
conf: conf.o $(common-obj)
mconf: mconf.o $(common-obj) $(lxdl-obj)
nconf: nconf.o nconf.gui.o mnconf-common.o $(common-obj)
-lexer.lex.c: lexer.l
+lexer.lex.c: lexer.l | parser.tab.h
parser.tab.c parser.tab.h: parser.y
%.lex.c: %.l
@@ -27,13 +25,14 @@ parser.tab.c parser.tab.h: parser.y
$(YACC) -d -o parser.tab.c $<
syncconfig: conf
- scripts/kconfig/conf --syncconfig Kconfig .config
+ ./conf --syncconfig Kconfig $(srctree)/.config
menuconfig: mconf
- scripts/kconfig/mconf Kconfig
+ ./mconf $(srctree)/Kconfig
+ [ -f .config ] && mv -f .config $(srctree) || true
clean:
- rm -f *.o lexer.lex.c parser.tab.c parser.tab.h conf mconf nconf
+ rm -f *.o *.lex.c parser.tab.c parser.tab.h conf mconf nconf
%.o: %.c
$(CC) $(CFLAGS) -c -o $@ $<
diff --git a/scripts/kconfig/mconf b/scripts/kconfig/mconf
new file mode 100755
index 00000000..35f70dcb
--- /dev/null
+++ b/scripts/kconfig/mconf
Binary files differ